Redirect Call - Redirect Call
Reindirizzare una chiamata.
POST {endpoint}/calling/callConnections:redirect?api-version=2026-03-12
Parametri dell'URI
| Nome | In | Necessario | Tipo | Descrizione |
|---|---|---|---|---|
|
endpoint
|
path | True |
string (url) |
L'endpoint della risorsa Azure Communication Service. |
|
api-version
|
query | True |
string |
Versione dell'API da invocare. |
Intestazione della richiesta
| Nome | Necessario | Tipo | Descrizione |
|---|---|---|---|
| Authorization | True |
string |
Un token di accesso utente di Servizi di comunicazione di Azure. |
| Repeatability-Request-ID |
string (uuid) |
Se specificato, il client indica che la richiesta è ripetibile. ovvero, che il client può effettuare la richiesta più volte con lo stessoRequest-Id di ripetibilità e ottenere una risposta appropriata senza che il server esegua la richiesta più volte. Il valore delRequest-Id Ripetibilità è una stringa opaca che rappresenta un identificatore univoco generato dal client per la richiesta. Si tratta di un UUID versione 4 (casuale). |
|
| Repeatability-First-Sent |
string (date-time-rfc1123) |
Se viene specificata l'intestazione RipetibilitàRequest-ID, è necessario specificare anche l'intestazione RipetibilitàFirst-Sent. Il valore deve essere la data e l'ora in cui la richiesta è stata creata per la prima volta, espressa utilizzando il formato IMF-fixdate di HTTP-date. Esempio: Sun, 06 Nov 1994 08:49:37 GMT. |
Corpo della richiesta
| Nome | Necessario | Tipo | Descrizione |
|---|---|---|---|
| incomingCallContext | True |
string |
Contesto associato alla chiamata. |
| target | True |
Communication |
Risposte
| Nome | Tipo | Descrizione |
|---|---|---|
| 204 No Content |
Il servizio ha reindirizzato la chiamata all'endpoint specificato. |
|
| Other Status Codes |
Communication |
Error |
Sicurezza
Authorization
Un token di accesso utente di Servizi di comunicazione di Azure.
Tipo:
apiKey
In:
header
Esempio
RedirectCall
Esempio di richiesta
POST https://contoso.communications.azure.com/calling/callConnections:redirect?api-version=2026-03-12
{
"target": {
"kind": "communicationUser",
"communicationUser": {
"id": "8:acs:b9614373-fd0b-480c-8fd2-cb58b70eab9f_0f50d091-5bd3-448b-884d-44be7037d9b9"
}
},
"incomingCallContext": "H4sIAAAAAAAEAMVVS2/bOBD+LzrspaElPiSSBoJFNnvYoNi0aHaBtpcFRQ5t1rIokLRTJ8h/X1J2soHRQ4A9lAdZ4ry+mflm/FhpNQy3PjnrtErOj9XysbLBb8uvM9WyEkul49J2ioEiGhlKADHVKiR7oVDXUGo5tkpa8k8zH9yglhuKuLQNkqLpEMZUNSZLNFfVRWVcnAZ1uFVbyP53EQLOtzCaybsx3ZSgnZFKKk4QgLGIybZFfU8oolIZzFrWGk6yzaDG1U6tYLaBMd9MKiSn3aROjjSRoAUHhG1PEDMdIGFlg4yRUmhChWQsm62dMdl+adUQ4aIKEP0u6KPft6RePV1Uyf/PmmmT5VijnlmMpD7VDLg4r9m4G4azgjWng37weD5nBTt6OS8YlcRyBhpJwD1iggFSbccQJVRJANW1gp4XLCc/uHETS/4qJaXX2dE6pSku61pNbgETMrBfxM1hgsUIqVzWe1Lrqda6iBBpmsXx9ZWW1vUe19aHDZja9pqBMRyBpQyxriVIgNBIGa11D9wy2tWE1Q7np6iPOH51lyXtLRinrsZ4D6FwQmdY28LEKfhV7nX8+XCfkZwAB/gGOv18WEccJ1A7M/0V1BgnHwq0/JmBYSoWEi84XTC+pIyLuszCXPBrPyYY0zPTsv57OBSOxJxoXjXzV3WzJs1D/+X22gy/36m762/vhk8PV5eXOWAm5gZKqDZ5/PCdc2L/vvmjbynGh3fhPus8lVIZFzLI7PBj8BNkOsPMRBc/nURXw+DvIbM7hR3MJnmWdNE6Itt7p2Gr3HAHKblxVcyfsp724x5CnPfizbh36WVDvpaUNIMfhplbb+1Xtp87hhfPr687lq/qB4HD9ec1vN98+OzhQ9Rfp26zKq34BS47ygVtBZdNS3AjMCnb0MU/d0NyH/NEH15WmYu/BZ+7q2L6b1oN9LvVS3se5z+B4w6lWIOSHOl5+rmiSJoOI9b0jZZATMPUD7bsm5ZGjrsKfjfNcb+faPH0LyoNW7KCBgAA"
}
Risposta di esempio
Definizioni
RedirectCallRequest
Payload della richiesta per il reindirizzamento della chiamata.
| Nome | Tipo | Descrizione |
|---|---|---|
| incomingCallContext |
string |
Contesto associato alla chiamata. |
| target |
Communication |